openshot::Field Struct Reference

This struct holds a single field (half a frame). More...

`#include <FrameMapper.h>`

## Public Member Functions

| Field ()
| Field (int64_t frame, bool isodd)

## Public Attributes

int64_t | Frame
bool | isOdd

## Detailed Description

This struct holds a single field (half a frame).

A frame of video is made up of 2 fields (half a frame). This struct points to which original frame, and whether this is the ODD or EVEN lines (i.e. top or bottom).

Definition at line 73 of file FrameMapper.h.

## Constructor & Destructor Documentation

## Field() [1/2]

openshot::Field::Field | ( |  | ) |

inline

Definition at line 78 of file FrameMapper.h.

## Field() [2/2]

openshot::Field::Field | ( | int64_t | frame,
|  | bool | isodd
| ) |  |

inline

Definition at line 80 of file FrameMapper.h.

## Member Data Documentation

## Frame

int64_t openshot::Field::Frame

Definition at line 75 of file FrameMapper.h.

Referenced by openshot::FrameMapper::GetFrame(), openshot::FrameMapper::GetMappedFrame(), and openshot::FrameMapper::PrintMapping().

## isOdd

bool openshot::Field::isOdd

Definition at line 76 of file FrameMapper.h.

Referenced by Field().

The documentation for this struct was generated from the following file:

- FrameMapper.h